Up

# NSWindowController

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)
Carl Lindberg (`Carl.Lindberg@hbo.com`)

Copyright: (C) 2000 Free Software Foundation, Inc.

# Software documentation for the NSWindowController class

## NSWindowController : NSObject

> Declared in:
>   AppKit/NSWindowController.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.
Method summary

- -close
- -document
- -initWithWindow:
- -initWithWindowNibName:
- -initWithWindowNibName:owner:
- -initWithWindowNibPath:owner:
- -isWindowLoaded
- -loadWindow
- -owner
- -setDocument:
- -setDocumentEdited:
- -setShouldCascadeWindows:
- -setShouldCloseDocument:
- -setWindow:
- -setWindowFrameAutosaveName:
- -shouldCascadeWindows
- -shouldCloseDocument
- -showWindow:
- -synchronizeWindowTitleWithDocumentName
- -window
- -windowDidLoad
- -windowFrameAutosaveName
- -windowNibName
- -windowNibPath
- -windowTitleForDocumentDisplayName:
- -windowWillLoad

### close

- (void) close;
Availability: OpenStep
Description forthcoming.

### document

- (id) document;
Availability: OpenStep
Description forthcoming.

### initWithWindow:

- (id) initWithWindow: (NSWindow*)window;
Availability: OpenStep
Description forthcoming.

### initWithWindowNibName:

- (id) initWithWindowNibName: (NSString*)windowNibName;
Availability: OpenStep
Description forthcoming.

### initWithWindowNibName: owner:

- (id) initWithWindowNibName: (NSString*)windowNibName owner: (id)owner;
Availability: OpenStep
Description forthcoming.

### initWithWindowNibPath: owner:

- (id) initWithWindowNibPath: (NSString*)windowNibPath owner: (id)owner;
Availability: OpenStep
Description forthcoming.

### isWindowLoaded

- (BOOL) isWindowLoaded;
Availability: OpenStep
Description forthcoming.

### loadWindow

- (void) loadWindow;
Availability: OpenStep
Description forthcoming.

### owner

- (id) owner;
Availability: OpenStep
Description forthcoming.

### setDocument:

- (void) setDocument: (NSDocument*)document;
Availability: OpenStep
Sets the document associated with this controller. A document automatically calls this method when adding a window controller to its list of window controllers. You should not call this method directly when using NSWindowController with an NSDocument or subclass.

### setDocumentEdited:

- (void) setDocumentEdited: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setShouldCascadeWindows:

- (void) setShouldCascadeWindows: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setShouldCloseDocument:

- (void) setShouldCloseDocument: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setWindow:

- (void) setWindow: (NSWindow*)aWindow;
Availability: OpenStep
Sets the window that this controller managers to aWindow. The old window is released.

### setWindowFrameAutosaveName:

- (void) setWindowFrameAutosaveName: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### shouldCascadeWindows

- (BOOL) shouldCascadeWindows;
Availability: OpenStep
Description forthcoming.

### shouldCloseDocument

- (BOOL) shouldCloseDocument;
Availability: OpenStep
Description forthcoming.

### showWindow:

- (IBAction) showWindow: (id)sender;
Availability: OpenStep
Description forthcoming.

### synchronizeWindowTitleWithDocumentName

- (void) synchronizeWindowTitleWithDocumentName;
Availability: OpenStep
Description forthcoming.

### window

- (NSWindow*) window;
Availability: OpenStep
Description forthcoming.

### windowDidLoad

- (void) windowDidLoad;
Availability: OpenStep
Description forthcoming.

### windowFrameAutosaveName

- (NSString*) windowFrameAutosaveName;
Availability: OpenStep
Description forthcoming.

### windowNibName

- (NSString*) windowNibName;
Availability: OpenStep
Description forthcoming.

### windowNibPath

- (NSString*) windowNibPath;
Availability: OpenStep
Description forthcoming.

### windowTitleForDocumentDisplayName:

- (NSString*) windowTitleForDocumentDisplayName: (NSString*)displayName;
Availability: OpenStep
Description forthcoming.

### windowWillLoad

- (void) windowWillLoad;
Availability: OpenStep
Description forthcoming.

Up